﻿using System.Windows.Controls.Primitives;
using System.Windows.Input;
using UmlDiagramDesigner.ViewModels.DiagramItems;

namespace UmlDiagramDesigner.Helpers.Adorners
{
    public abstract class DiagramItemThumbBase : Thumb
    {
        protected DiagramItemThumbBase()
        {
            PreviewMouseLeftButtonDown += OnPreviewMouseLeftButtonDown;
        }

        private void OnPreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs mouseButtonEventArgs)
        {
            var item = DataContext as DiagramItemViewModelBase;

            if (item != null)
            {
                item.ItemSelectedCommand.Execute(null);
            }
        }
    }
}
