﻿using System;

namespace UmlDiagramDesigner.Models.DiagramValidation
{
    public class ValidationResult
    {
        public ValidationResult(bool successful)
        {
            Successful = successful;
            ErrorMessage = string.Empty;
            NotificationMessage = string.Empty;
        }

        public bool Successful { get; set; }
        public Exception Exception { get; set; }
        public string ErrorMessage { get; set; }
        public string NotificationMessage { get; set; }
    }
}