﻿using System.Threading;
using UmlDiagramDesigner.Models.Attributes;

namespace UmlDiagramDesigner.ViewModels.DiagramRelationships
{
    [ValidateDuplicateAttributes]
    [MultiplicityNotSupported]
    public class InheritanceViewModel : RelationshipViewModelBase
    {
        public InheritanceViewModel()
        {
            IsConnectable = true;
        }

        public override string GetResourceStyleName()
        {
            return "InheritanceStyle";
        }

        public override string ToString()
        {
            return "Inheritance";
        }
    }
}
