﻿using System.Collections.Generic;

namespace UmlDiagramDesigner.DAL.Database
{
    public interface IRepository<T> where T : IEntity<string>
    {
        bool Save(T item);

        T Load(string id);

        bool Delete(string id);

        bool Update(T item);

        List<T> GetAll();
    }
}