﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace UmlDiagramDesigner.UserControls
{
    /// <summary>
    /// Interaction logic for ColorPicker.xaml
    /// </summary>
    public partial class ColorPicker : UserControl
    {
        public ColorPicker()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty SelectedColorProperty = DependencyProperty.Register(
            "SelectedColor", typeof(Brush), typeof(ColorPicker), new UIPropertyMetadata(null));

        public Brush SelectedColor
        {
            get { return (Brush) GetValue(SelectedColorProperty); }
            set { SetValue(SelectedColorProperty, value); }
        }
    }
}
