﻿using UmlDiagramDesigner.Models.Attributes;

namespace UmlDiagramDesigner.ViewModels.DiagramRelationships
{
    [MultiplicityNotSupported]
    public class TemporaryRelationship : RelationshipDecorator
    {
        public TemporaryRelationship(RelationshipViewModelBase baseViewModel) : base(baseViewModel)
        {
            
        }

        public new double Opacity { get { return 0.5; } }

        public override string GetResourceStyleName()
        {
            return BaseRelationship.GetResourceStyleName();
        }

        public override string ToString()
        {
            return "Temporary association";
        }
    }
}
