﻿namespace UmlDiagramDesigner.Core.Enums
{
	/// <summary>
	/// Abstraction of data types which can be used in OOP languages as well as in database systems.
	/// </summary>
	public enum DbDataType
    {
        Char,
        Varchar,
        Boolean,
        Integer,
        SmallInteger,
        BigInteger,
        Decimal,
        Float,
        Date,
        Time,
        Timestamp,
        Binary
    }
}
