﻿using System.Collections.Generic;

namespace UmlDiagramDesigner.Core.Graph
{
	/// <summary>
	/// Defines a generic graph.
	/// </summary>
	public interface IGraph
    {
		/// <summary>
		/// Gets the vertices.
		/// </summary>
		/// <returns>All vertices in graph.</returns>
		IEnumerable<IVertex> GetVertices();
    }
}
