﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UmlDiagramDesigner.Data
{
	/// <summary>
	/// SQL View.
	/// </summary>
	public class View
    {
		/// <summary>
		/// Gets or sets the name.
		/// </summary>
		/// <value>
		/// The name.
		/// </value>
		public string Name { get; set; }
		/// <summary>
		/// Gets or sets the attributes.
		/// </summary>
		/// <value>
		/// The attributes.
		/// </value>
		public ICollection<DataAttribute> Attributes { get; set; } 
    }
}
